Index: branches/GRISLIv3/Param/anteis1_param_list_Cyc-Scho.dat
===================================================================
--- branches/GRISLIv3/Param/anteis1_param_list_Cyc-Scho.dat	(revision 442)
+++ branches/GRISLIv3/Param/anteis1_param_list_Cyc-Scho.dat	(revision 443)
@@ -214,4 +214,5 @@
  sf01           =   0.1250000    
  sf03           =   0.1250000    
+ sffunc         =   0
  pvimin         =    1500.000    
  /
@@ -219,4 +220,5 @@
 ! sf01 : coefficient viscosite loi lineaire 
 ! sf03 : coefficient viscosite loi n=3 
+! sffunc : 1 for visco coef that depends on enh factor
 ! pvimin : valeur de pvi pour les noeuds fictifs ~ 1.e3
 ! tres petit par rapport aux valeurs standards ~ 1.e10
Index: branches/GRISLIv3/Param/anteis1_param_list_Cyc-Tsai.dat
===================================================================
--- branches/GRISLIv3/Param/anteis1_param_list_Cyc-Tsai.dat	(revision 442)
+++ branches/GRISLIv3/Param/anteis1_param_list_Cyc-Tsai.dat	(revision 443)
@@ -214,4 +214,5 @@
  sf01           =   0.1250000    
  sf03           =   0.1250000    
+ sffunc         =   0
  pvimin         =    1500.000    
  /
@@ -219,4 +220,5 @@
 ! sf01 : coefficient viscosite loi lineaire 
 ! sf03 : coefficient viscosite loi n=3 
+! sffunc : 1 for visco coef that depends on enh factor
 ! pvimin : valeur de pvi pour les noeuds fictifs ~ 1.e3
 ! tres petit par rapport aux valeurs standards ~ 1.e10
Index: branches/GRISLIv3/SOURCES/New-remplimat/diagno-L2_mod.f90
===================================================================
--- branches/GRISLIv3/SOURCES/New-remplimat/diagno-L2_mod.f90	(revision 442)
+++ branches/GRISLIv3/SOURCES/New-remplimat/diagno-L2_mod.f90	(revision 443)
@@ -2,5 +2,6 @@
 module diagno_mod                   ! nom pendant les tests
  !$ USE OMP_LIB
-use module3D_phy,only: nx,ny,dx
+use module3D_phy
+use module_choix
      
 implicit none
@@ -49,9 +50,7 @@
 subroutine init_diagno
 
-use module3D_phy,only: num_rep_42,num_param,geoplace,pvimin
-
-implicit none
-
-namelist/diagno_rheol/sf01,sf03,pvimin
+integer sffunc
+
+namelist/diagno_rheol/sf01,sf03,sffunc,pvimin
 
 ! attribution des coefficients de viscosite
@@ -71,4 +70,5 @@
 write(num_rep_42,*) 'sf01           = ',sf01 
 write(num_rep_42,*) 'sf03           = ',sf03
+write(num_rep_42,*) 'sffunc         = ',sffunc
 write(num_rep_42,*) 'pvimin         = ',pvimin
 write(num_rep_42,*)'/'     
@@ -76,4 +76,5 @@
 write(num_rep_42,428) '! sf01 : coefficient viscosite loi lineaire '
 write(num_rep_42,428) '! sf03 : coefficient viscosite loi n=3 '
+write(num_rep_42,428) '! sffunc : 1 for visco coef that depends on enh factor'
 write(num_rep_42,428) '! pvimin : valeur de pvi pour les noeuds fictifs ~ 1.e3'
 write(num_rep_42,428) '! tres petit par rapport aux valeurs standards ~ 1.e10'
@@ -81,4 +82,8 @@
 write(num_rep_42,*)
 
+if (sffunc.eq.1) then
+     sf01 = (1 - (sf(2)-1)/10.)/sf(2)  !the sf are known via the module_choix...
+     sf03 = (1 - (sf(1)-1)/10.)/sf(1)
+endif
 
 !      Precision utilisee dans de calcul
@@ -100,19 +105,8 @@
 subroutine diagnoshelf !      Resolution numerique des equations diagnostiques
 
-  use module3D_phy, only: itracebug,niter_nolin,taushelf,flot,h,pvi,coef_sflot,rog, &
-                          gr_line_schoof,geoplace,uxbar,uybar,pvimin,debug_3D,V_limit, &
-                          imx_diag,imy_diag,tobmx,tobmy,neffmx,neffmy,gr_line, schoof, &
-                          betamx,betamy,flgzmx,flgzmy,uxflgz,uyflgz,taub
-  use furst_schoof_mod, only: back_force_x,back_force_y,gr_select,frot_coef,interpol_glflux
-  use module_choix, only: btt,dragging,mstream_dragging  ! afq - 03/2023 - not clean
-
-  implicit none
 
   integer :: diagno_grline
 
-  integer itour_nolin 
-
-  integer i,j ! loop integers
-
+  
   if (itracebug.eq.1)  call tracebug(' Entree dans diagnoshelf')
 
@@ -366,10 +360,4 @@
 subroutine calc_pvi
 
-use module3d_phy, only: nx,ny,nz,itracebug,pvi,pvimin,abar,flot,gzmx,gzmy, &
-                        ilemx,ilemy,eps,taushelf,h,ramollo,debug_3d,pvm
-use module_choix, only: btt,visc  ! afq - 03/2023 - not clean
-
-implicit none
-
 ! calcule les viscosites integrees pvi et pvm
 ! loi polynomiale + couplage thermomécanique
@@ -397,6 +385,4 @@
 !$  integer :: rang ,nb_taches
 !$  logical :: paral
-
-integer i,j,k !loop integers
 
 if (itracebug.eq.1)  call tracebug(' Calc pvi')
@@ -533,8 +519,4 @@
 subroutine imx_imy_nx_ny
 
-use module3d_phy, only: imx_diag,imy_diag,flgzmx,flgzmy
-
-implicit none
-
 ! definition des masques
 ! pour rempli_L2 : calcule les masques imx et imy qui 
@@ -616,8 +598,4 @@
 
 subroutine imx_imy_nx_ny_reduce(choix)
-
-  use module3d_phy, only: flot,imx_diag,imy_diag,gr_line
-
-  implicit none
 
 !afq -- For the backforce computation we do not need to compute the velocities everywhere
@@ -685,10 +663,5 @@
 
 subroutine mismip_boundary_cond
-
- use module3d_phy, only: itracebug,imx_diag,imy_diag,uxbar,uybar
-
- implicit none
-
- if (itracebug.eq.1)  call tracebug(' Subroutine mismip_boundray_cond')
+if (itracebug.eq.1)  call tracebug(' Subroutine mismip_boundray_cond')
 
 ! Condition pas de flux sur les bords nord et sud
Index: branches/GRISLIv3/lauching_area/degla_PMIP_euras20_param_list.dat
===================================================================
--- branches/GRISLIv3/lauching_area/degla_PMIP_euras20_param_list.dat	(revision 442)
+++ branches/GRISLIv3/lauching_area/degla_PMIP_euras20_param_list.dat	(revision 443)
@@ -149,4 +149,5 @@
 sf01           = 	0.125   ! 0.125
 sf03           = 	0.125   ! 0.125
+sffunc         =        0
 pvimin         =        1.5e3   ! 1.e3
 /  
@@ -154,4 +155,5 @@
 ! sf01 : coefficient viscosite loi lineaire 
 ! sf03 : coefficient viscosite loi n=3 
+! sffunc : 1 for visco coef that depends on enh factor
 ! pvimin : valeur de pvi pour les noeuds fictifs ~ 1.e3
 ! tres petit par rapport aux valeurs standards ~ 1.e10
Index: branches/GRISLIv3/lauching_area/degla_PMIP_hemin40_param_list.dat
===================================================================
--- branches/GRISLIv3/lauching_area/degla_PMIP_hemin40_param_list.dat	(revision 442)
+++ branches/GRISLIv3/lauching_area/degla_PMIP_hemin40_param_list.dat	(revision 443)
@@ -149,4 +149,5 @@
 sf01           = 	0.125   ! 0.125
 sf03           = 	0.125   ! 0.125
+sffunc         =        0
 pvimin         =        1.5e3   ! 1.e3
 /  
@@ -154,4 +155,5 @@
 ! sf01 : coefficient viscosite loi lineaire 
 ! sf03 : coefficient viscosite loi n=3 
+! sffunc : 1 for visco coef that depends on enh factor
 ! pvimin : valeur de pvi pour les noeuds fictifs ~ 1.e3
 ! tres petit par rapport aux valeurs standards ~ 1.e10
Index: branches/GRISLIv3/lauching_area/degla_PMIP_laure16_param_list.dat
===================================================================
--- branches/GRISLIv3/lauching_area/degla_PMIP_laure16_param_list.dat	(revision 442)
+++ branches/GRISLIv3/lauching_area/degla_PMIP_laure16_param_list.dat	(revision 443)
@@ -149,4 +149,5 @@
 sf01           = 	0.125   ! 0.125
 sf03           = 	0.125   ! 0.125
+sffunc         =        0
 pvimin         =        1.5e3   ! 1.e3
 /  
@@ -154,4 +155,5 @@
 ! sf01 : coefficient viscosite loi lineaire 
 ! sf03 : coefficient viscosite loi n=3 
+! sffunc : 1 for visco coef that depends on enh factor
 ! pvimin : valeur de pvi pour les noeuds fictifs ~ 1.e3
 ! tres petit par rapport aux valeurs standards ~ 1.e10