Index: /branches/GRISLIv3/SOURCES/3D-physique-gen_mod.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/3D-physique-gen_mod.f90	(revision 468)
+++ /branches/GRISLIv3/SOURCES/3D-physique-gen_mod.f90	(revision 469)
@@ -243,32 +243,14 @@
   ! ===================== File id =========================================
   integer :: num_param     = 10   !< Id of param_list.dat
-  integer :: num_coupe     = 11   !< Id of coupe.ijz
-  integer :: num_vitbil    = 12   !< Id of vitbil
-  integer :: num_newton    = 15   !< Id of corrextion-newton.res
   integer :: num_file1     = 18   !< Id of 
   integer :: num_file2     = 19   !< Id of 
   integer :: num_forc      = 20   !< Id of forcage
-  integer :: num_dat       = 21   !< Id of dat
   integer :: num_cptr      = 30   !< Id of cptr
   integer :: num_debug     = 33   !< Id of ritz debug
   integer :: num_ritz      = 35   !< Id of ritz
-  integer :: num_templlib  = 36   !< Id of ritz templlib
   integer :: num_rep_42    = 42   !< Id of reponse
   integer :: num_trace     = 81   !< Id of trace-reboot
   integer :: num_file      = 88   !< Id of 
-  integer :: num_ts_ritz   = 89
   integer :: num_kelvin    = 90   !< Id of kelvin.res
-  integer :: num_phil      = 91
-  integer :: num_templin   = 98   !< Id of templin.res
-  integer :: num_sealevel  = 110
-  integer :: num_mk_vitbil = 122  !< Id of masque_vitbil
-  integer :: num_ic_vo     = 171  !< vostok
-  integer :: num_ic_by     = 172  !< byrd
-  integer :: num_ic_dm     = 173  !< dml
-  integer :: num_ic_dc     = 174  !< dome C
-  integer :: num_ic_df     = 175  !< dome Fuji
-  integer :: num_file3     = 993
-  integer :: num_file4     = 995  !< Id of 
-  integer :: num_coor      = 2004 !< Id of coord-Ant-40km
 
   ! Variables communes au main et aux subroutines du step
Index: /branches/GRISLIv3/SOURCES/lineartemp-0.2.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/lineartemp-0.2.f90	(revision 468)
+++ /branches/GRISLIv3/SOURCES/lineartemp-0.2.f90	(revision 469)
@@ -40,5 +40,4 @@
            !     T(I,J,K)=T(I,J,1)-(T(I,J,1)-TPMP(I,J,NZ))*(K-1)/(NZ-1)
            T(I,J,K)=T(I,J,1)-(T(I,J,1)-T(I,J,NZ))*(K-1)/(NZ-1)
-           !     write(num_templin,*) T(I,J,K)
         end do
         do K=NZ+1,NZ+NZM
Index: /branches/GRISLIv3/SOURCES/main3D-0.4-40km.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/main3D-0.4-40km.f90	(revision 468)
+++ /branches/GRISLIv3/SOURCES/main3D-0.4-40km.f90	(revision 469)
@@ -131,6 +131,5 @@
 subroutine grisli_init
 
-  USE module3D_phy, only: itemp,icouple,isynchro,icompteur,iglen,num_sealevel, &
-                          num_ts_ritz,num_ic_vo,num_ic_by,num_ic_dm,num_ic_dc,num_ic_df, &
+  USE module3D_phy, only: itemp,icouple,isynchro,icompteur,iglen, &
                           s,h,b,bsoc,flot,mk,mk0,uxbar,uybar,hwater,time,timemax,ndebug,ndebug_max
   use runparam, only: nt,tbegin,dtprofile,dtcpt,dirnameout,runname,itracebug
@@ -183,18 +182,4 @@
   DTCPT=dtout
 
-
-  !     ************ OPEN FILES.RITZ ****************
-
-  if ((geoplace.eq.'anteis1').or.(geoplace.eq.'ant20km')) then
-     ! fichier de reference pour le niveau des mers
-     open(num_sealevel,file=TRIM(DIRNAMEOUT)//'sealevel'//runname//'.ritz',position="append")
-     open(num_ts_ritz,file=TRIM(DIRNAMEOUT)//'ts_'//runname//'.ritz',position="append")
-     open(num_ic_vo,file=TRIM(DIRNAMEOUT)//'ic_'//runname//'vo.ritz',position="append")
-     open(num_ic_by,file=TRIM(DIRNAMEOUT)//'ic_'//runname//'by.ritz',position="append")
-     open(num_ic_dm,file=TRIM(DIRNAMEOUT)//'ic_'//runname//'dm.ritz',position="append")
-     open(num_ic_dc,file=TRIM(DIRNAMEOUT)//'ic_'//runname//'dc.ritz',position="append")
-     open(num_ic_df,file=TRIM(DIRNAMEOUT)//'ic_'//runname//'df.ritz',position="append")
-  endif
-
   !------------------------------ INITIALISATION ----------------------------
   !
Index: /branches/GRISLIv3/SOURCES/tab-litho-0.3.f90
===================================================================
--- /branches/GRISLIv3/SOURCES/tab-litho-0.3.f90	(revision 468)
+++ /branches/GRISLIv3/SOURCES/tab-litho-0.3.f90	(revision 469)
@@ -88,36 +88,4 @@
   WE(:,:) = WE(:,:)/(som*ROM*g)
 
-
-
-  ! ATTENTION DESSOUS VALABLE SEULEMENT EN 40 km
-
-  ! la partie ci-dessous doit etre mise dans une routine specifique Philippe
-  !       pour faire exactement la meme isostasie que Philippe
-  !if ((icouple.eq.2).or.(icouple.eq.4)) then
-
-  !   LBLOC=10
-
-  !   do I=-LBLOC,LBLOC
-  !      do J=-LBLOC,LBLOC
-  !         We(i,j)=0.   ! mise a 0 partout
-  !      end do
-  !   end do
-  !   open(num_phil,file='../INPUT/iso-philippe')
-
-  !   read(num_phil,*)
-  !   read(num_phil,*)
-  !   read(num_phil,*)
-  !   read(num_phil,*)
-  !   do J=-10,10
-  !      read(num_phil,*)(We(i,j),i=-10,10)
-  !   end do
-  !   close(num_phil)
-  !   do i=-LBLOC,LBLOC
-  !      do j=-LBLOC,LBLOC
-  !         we(i,j)=we(i,j)/11030/g/rom
-  !      end do
-  !   end do
-  !endif
-
   return
 end subroutine tab_litho